@import './variables';
@import '../node_modules/bootstrap/scss/bootstrap.scss';

//Font families
@import url('https://fonts.googleapis.com/css?family=Poppins:400,500,700|Roboto:400,500,700');

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  font-size: $text-lg;
}

input {
  min-width: 0;
}

input, button, textarea {
  background: none;
  border: none;

  &:active, &:focus {
    outline: none;
  }
}

button {
  cursor: pointer;
}

body,
button,
input,
textarea {
  color: $bia-gray;
  font-family: 'Poppins', sans-serif;
  line-height: 1.714em;
  font-size: $text-lg;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-rendering: optimizeLegibility;
}

.cursor-pointer {
  cursor: pointer !important;
}

.box-shadow {
  box-shadow: $box-shadow;
}

.gradient-text{
  background: $bia-gradient-primary;
  -webkit-background-clip: text;
  background-clip: text;
  -webkit-text-fill-color: transparent;
}

h1, h2, h3, h4, h5, h6 {
  font-family: 'Poppins', sans-serif;
}

ul, li {
  list-style-type: none;
}

.flex-center {
  display: flex;
  justify-content: center;
  align-items: center;
}

.contained {
  max-width: 100vw;
}

@media (min-width: $lg) {
  .contained {
    max-width: $lg;
    margin-left: auto;
    margin-right: auto;
  }
}

@media (min-width: $xl) {
  .contained {
    max-width: $xl;
  }
}
